﻿@{
    ViewBag.Title = "PaymentGateway";
    var checkModel = ViewBag.CheckModel;
    var checkHistory = (List<Cdio447.Models.withdrawl_histories>)ViewBag.CheckHistory;
    var pwModel = (Cdio447.Models.payment_gateways)ViewBag.pwModel;
    var success = ViewBag.success;
    decimal amountAble = ViewBag.amountAble;
}
@using Cdio447.Supports;
@model Cdio447.ViewModels.WidthdrawlViewModel
@section styles {
    <style>
        .validation-summary-errors ul {
            padding: .75rem;
            margin: 0
        }
    </style>
}
<div class="row justify-content-center">
    <div class="col-12 col-lg-7">
        <div class="form-payin my-2 my-lg-4 p-3" style="padding-bottom: 0px !important">
            @using (Html.BeginForm("Withdrawl", "Withdrawl", FormMethod.Post))
            {
                @Html.AntiForgeryToken()
                <h3 class="text-center mb-0 pb-3">Rút tiền</h3>
                <table class="table">
                    <tbody>
                        @if (pwModel == null)
                        {
                            <tr>
                                <td style="border-top: 0px" colspan="2" class="text-danger">Bạn cần đăng ký cổng thanh toán trước khi giao dịch <a href="@Url.Action("PaymentGateway", "Withdrawl")">tại đây</a></td>
                            </tr>
                            <tr>
                                <td class="text-left">Cổng thanh toán</td>
                                <td class="text-danger text-left">Chưa đăng ký</td>
                            </tr>
                            <tr>
                                <td class="text-left">Chủ tài khoản</td>
                                <td class="text-danger text-left">Chưa đăng ký</td>
                            </tr>
                            <tr>
                                <td class="text-left">Số tài khoản</td>
                                <td class="text-danger text-left">Chưa đăng ký</td>
                            </tr>
                        }
                        else
                        {
                            <tr>
                                <td style="border-top: 0px" class="text-left">Cổng thanh toán</td>
                                <td style="border-top: 0px" class="text-left">Ngân hàng @pwModel.banks.name</td>
                            </tr>
                            <tr>
                                <td class="text-left">Chủ tài khoản</td>
                                <td class="text-left">@pwModel.account_name</td>
                            </tr>
                            <tr>
                                <td class="text-left">Số tài khoản</td>
                                <td class="text-left">@pwModel.account_code</td>
                            </tr>
                            <tr>
                                <td class="text-left">Số tiền có thể rút</td>
                                <td class="text-left">@FunctionSupport.convertVND((decimal)amountAble, " VND")</td>
                            </tr>
                            <tr>
                                <td class="text-left">Bạn muốn rút</td>
                                <td class="text-left">
                                    <input type="text" id="amount_convert" class="form-control" />
                                    @Html.HiddenFor(model => model.amount, new { @class = "form-control", @id = "amountPayWd" })
                                    @Html.ValidationMessageFor(model => model.amount, "", new { @class = "text-danger" })
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">Thay đổi cổng thanh toán tại đây <a href="@Url.Action("PaymentGateway", "Withdrawl")">tại đây</a></td>
                            </tr>
                            <tr>
                                <td colspan="2"><b>Lưu ý: </b><span class="text-danger">Số tiền hiện tại trong tài khoản phải lớn hơn 250,000đ là điều kiện để thực hiện giao dịch</span></td>
                            </tr>
                            <tr>
                                <td style="border-top: 1px solid #e74c3c"></td>
                                <td style="border-top: 1px solid #e74c3c" class="text-left py-3">
                                    <button type="submit" class="btn btn_template">Rút tiền</button>
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            }
        </div>
    </div>
    <div class="col-12">
        <div class="box-histories-withdrawl mt-3">
            <h4><i>LỊCH SỬ RÚT TIỀN</i></h4>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th class="table-withdraw-th">Thời gian</th>
                        <th class="table-withdraw-th">Ngân hàng</th>
                        <th class="table-withdraw-th">Số tiền rút</th>
                        <th class="table-withdraw-th">Tình trạng</th>
                        <th class="table-withdraw-th">Chủ tài khoản</th>
                        <th class="table-withdraw-th">Số tài khoản</th>
                    </tr>
                </thead>
                @if (checkHistory != null)
                {
                <tbody>
                    @foreach (var his in checkHistory)
                    {
                    <tr>
                        <td>@FunctionSupport.convertDatetimeVN(his.created_at)</td>
                        <td>@his.users.payment_gateways.banks.name</td>
                        <td>@FunctionSupport.convertVND(his.total, " - VND")</td>
                        @if (his.status == 1) {
                        <td class="text-primary">Đang xử lý</td>
                        } else { <td class="text-success">Đã thanh toán</td> }
                        <td>@his.users.payment_gateways.account_name</td>
                        <td>@his.users.payment_gateways.account_code</td>
                    </tr>
                    }
                </tbody>
                }
                else
                {
                    <tbody>
                        <tr>
                            <td colspan="6" class="text-danger">Chưa có lịch sử rút tiền</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>
    </div>
</div>
@section scripts {
    @if (success != null)
    {
        <script>
            setTimeout(function () { alert("Rút tiền thành công, tiền sẽ được chuyển trong vài ngày tới"); }, 100);
            setTimeout(function () { window.location.href = "/"; }, 2000);
        </script>
    }
}